Връзки
GET https://tistos.com/api/links/
curl --request GET \
--url 'https://tistos.com/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Параметри | Детайли | Описание |
|---|---|---|
| search | По избор Низ | Търсеният низ. |
| search_by | По избор Низ | По кое поле търсите? Позволените стойности са: url, location_url. |
| is_enabled | По избор Булеви | |
| project_id | По избор Цяло число | |
| domain_id | По избор Цяло число | |
| type | По избор Низ |
biolink, link, file, vcard, event, static |
| datetime_field | По избор Низ | Разрешени стойности: datetime, last_datetime |
| datetime_start | По избор Низ | Филтрирайте резултатите от тази дата и час. Формат Y-m-d H:i:s. |
| datetime_end | По избор Низ | Филтрирайте резултатите до тази дата и час. Формат Y-m-d H:i:s. |
| order_by | По избор Низ | По кое поле да се подредят резултатите. Разрешените стойности са: link_id, datetime, last_datetime, clicks, url. |
| order_type | По избор Низ | Подреждането на резултатите. Позволените стойности са: ASC за възходящо подреждане и DESC за низходящо подреждане. |
| page | По избор Цяло число | Номера на страницата, от която искате резултати. По подразбиране е 1. |
| results_per_page | По избор Цяло число | Колко резултата искате на страница. Разрешените стойности са: 10, 25, 50, 100, 250, 500, 1000. По подразбиране е 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-07-18 12:39:08",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/links?page=1",
"last": "https://tistos.com/api/links?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/links?page=1"
}
}
GET https://tistos.com/api/links/{link_id}
curl --request GET \
--url 'https://tistos.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-07-18 12:39:08",
}
}
POST https://tistos.com/api/links
| Параметри | Детайли | Описание |
|---|---|---|
| type | По избор Низ | link |
| location_url | Задължително Низ | URL адресът на дестинацията.Наличен когато: is_bulk = 0 |
| location_urls | Задължително Низ | URL адресът на дестинацията.Наличен когато: is_bulk = 1 |
| url | По избор Низ | URL alias на генерираната връзка. Оставете празно, за да се генерира случайно.Наличен когато: is_bulk = 0 |
| is_bulk | По избор Булеви | |
| domain_id | По избор Цяло число | - |
| project_id | По избор Цяло число | - |
| pixels_ids | По избор Масив Цяло число | - |
| email_reports | По избор Масив | Идентификатори на обработващите известия |
| schedule | По избор Булеви | - |
| start_date | По избор Низ | Наличен когато: schedule = true |
| end_date | По избор Низ | Наличен когато: schedule = true |
| clicks_limit | По избор Цяло число | - |
| expiration_url | По избор Низ | - |
| sensitive_content | По избор Булеви | - |
| http_status_code | По избор Цяло число | Разрешени стойности: 301, 302, 307, 308 |
| app_linking_is_enabled | По избор Булеви | - |
| cloaking_is_enabled | По избор Булеви | - |
| cloaking_title | По избор Низ | - |
| cloaking_meta_description | По избор Низ | - |
| cloaking_custom_js | По избор Низ | - |
| cloaking_favicon | По избор Файл | - |
| cloaking_opengraph | По избор Файл | - |
| password | По избор Низ | - |
| forward_query_parameters_is_enabled | По избор Булеви | - |
| seo_block | По избор Булеви | - |
| utm_source | По избор Низ | - |
| utm_medium | По избор Низ | - |
| utm_campaign | По избор Низ | - |
| targeting_type | По избор Низ | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | По избор Низ | Наличен когато: targeting_type = continent_code |
| targeting_continent_code_value[index] | По избор Низ | Наличен когато: targeting_type = continent_code |
| targeting_country_code_key[index] | По избор Низ | Наличен когато: targeting_type = country_code |
| targeting_country_code_value[index] | По избор Низ | Наличен когато: targeting_type = country_code |
| targeting_city_name_key[index] | По избор Низ | Наличен когато: targeting_type = city_name |
| targeting_city_name_value[index] | По избор Низ | Наличен когато: targeting_type = city_name |
| targeting_device_type_key[index] | По избор Низ | Наличен когато: targeting_type = device_type |
| targeting_device_type_value[index] | По избор Низ | Наличен когато: targeting_type = device_type |
| targeting_browser_language_key[index] | По избор Низ | Наличен когато: targeting_type = browser_language |
| targeting_browser_language_value[index] | По избор Низ | Наличен когато: targeting_type = browser_language |
| targeting_rotation_key[index] | По избор Низ | Наличен когато: targeting_type = rotation |
| targeting_rotation_value[index] | По избор Низ | Наличен когато: targeting_type = rotation |
| targeting_os_name_key[index] | По избор Низ | Наличен когато: targeting_type = os_name |
| targeting_os_name_value[index] | По избор Низ | Наличен когато: targeting_type = os_name |
| targeting_browser_name_key[index] | По избор Низ | Наличен когато: targeting_type = browser_name |
| targeting_browser_name_value[index] | По избор Низ | Наличен когато: targeting_type = browser_name |
curl --request POST \
--url 'https://tistos.com/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://tistos.com/' \
--url 'https://tistos.com/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://tistos.com/' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/links/{link_id}
| Параметри | Детайли | Описание |
|---|---|---|
| location_url | По избор Низ | URL адресът на дестинацията. |
| url | По избор Низ | URL alias на генерираната връзка. Оставете празно, за да се генерира случайно. |
| domain_id | По избор Цяло число | - |
| project_id | По избор Цяло число | - |
| pixels_ids | По избор Масив Цяло число | - |
| email_reports | По избор Масив | Идентификатори на обработващите известия |
| schedule | По избор Булеви | - |
| start_date | По избор Низ | Наличен когато: schedule = true |
| end_date | По избор Низ | Наличен когато: schedule = true |
| clicks_limit | По избор Цяло число | - |
| expiration_url | По избор Низ | - |
| sensitive_content | По избор Булеви | - |
| http_status_code | По избор Цяло число | Разрешени стойности: 301, 302, 307, 308 |
| app_linking_is_enabled | По избор Булеви | - |
| cloaking_is_enabled | По избор Булеви | - |
| cloaking_title | По избор Низ | - |
| cloaking_meta_description | По избор Низ | - |
| cloaking_custom_js | По избор Низ | - |
| cloaking_favicon | По избор Файл | - |
| cloaking_opengraph | По избор Файл | - |
| password | По избор Низ | - |
| forward_query_parameters_is_enabled | По избор Булеви | - |
| seo_block | По избор Булеви | - |
| utm_source | По избор Низ | - |
| utm_medium | По избор Низ | - |
| utm_campaign | По избор Низ | - |
| targeting_type | По избор Низ | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | По избор Низ | Наличен когато: targeting_type = continent_code |
| targeting_continent_code_value[index] | По избор Низ | Наличен когато: targeting_type = continent_code |
| targeting_country_code_key[index] | По избор Низ | Наличен когато: targeting_type = country_code |
| targeting_country_code_value[index] | По избор Низ | Наличен когато: targeting_type = country_code |
| targeting_city_name_key[index] | По избор Низ | Наличен когато: targeting_type = city_name |
| targeting_city_name_value[index] | По избор Низ | Наличен когато: targeting_type = city_name |
| targeting_device_type_key[index] | По избор Низ | Наличен когато: targeting_type = device_type |
| targeting_device_type_value[index] | По избор Низ | Наличен когато: targeting_type = device_type |
| targeting_browser_language_key[index] | По избор Низ | Наличен когато: targeting_type = browser_language |
| targeting_browser_language_value[index] | По избор Низ | Наличен когато: targeting_type = browser_language |
| targeting_rotation_key[index] | По избор Низ | Наличен когато: targeting_type = rotation |
| targeting_rotation_value[index] | По избор Низ | Наличен когато: targeting_type = rotation |
| targeting_os_name_key[index] | По избор Низ | Наличен когато: targeting_type = os_name |
| targeting_os_name_value[index] | По избор Низ | Наличен когато: targeting_type = os_name |
| targeting_browser_name_key[index] | По избор Низ | Наличен когато: targeting_type = browser_name |
| targeting_browser_name_value[index] | По избор Низ | Наличен когато: targeting_type = browser_name |
| is_enabled | По избор Булеви | - |
curl --request POST \
--url 'https://tistos.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://tistos.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/links/{link_id}
curl --request DELETE \
--url 'https://tistos.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \